server:
  port: 9300
spring:
  application:
    name: @artifactId@
  cloud:
    nacos:
      discovery:
        #server-addr: ${NACOS_HOST:172.16.2.150}:${NACOS_PORT:58840}
        server-addr: ${NACOS_HOST:localhost}:${NACOS_PORT:8848}
        #server-addr: ${NACOS_HOST:192.168.31.68}:${NACOS_PORT:8848}
        #ip: ${ip}
      config:
        server-addr: ${spring.cloud.nacos.discovery.server-addr}
        file-extension: yml
        shared-configs:
          - application-${spring.profiles.active}.${spring.cloud.nacos.config.file-extension}
  profiles:
    active: @profiles.active@